Bug 436496 - rt61pci wireless driver loses network connectivity in 2.6.24.3-18.fc8
rt61pci wireless driver loses network connectivity in 2.6.24.3-18.fc8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-07 11:07 EST by Clive Malcolm
Modified: 2008-03-13 08:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.24.3-34.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 08:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
steps to reproduce the problem and info from log files (18.71 KB, text/plain)
2008-03-07 11:15 EST, Clive Malcolm
no flags Details
more logs (20.39 KB, text/plain)
2008-03-08 04:34 EST, Clive Malcolm
no flags Details

  None (edit)
Description Clive Malcolm 2008-03-07 11:07:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
trying to download a large file e.g an .iso or .rpm network connectivity is lost.

Version-Release number of selected component (if applicable):
kernel > 2.6.24.3-18.fc8 == rt61pci 2.1.3

How reproducible:
Always


Steps to Reproduce:
1. wget ftp://ftp.virginmedia.com/mirrors/fedoraproject.org/8/Live/i686/Fedora-8-Live-i686.iso
2.
$ route
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
192.168.2.0     *               255.255.255.0   U     0      0        0 wlan0
default         192.168.2.1     0.0.0.0         UG    0      0        0 wlan0

 ping 192.168.2.1
PING 192.168.2.1 (192.168.2.1) 56(84) bytes of data.
From 192.168.2.101 icmp_seq=3 Destination Host Unreachable
From 192.168.2.101 icmp_seq=4 Destination Host Unreachable
From 192.168.2.101 icmp_seq=6 Destination Host Unreachable
From 192.168.2.101 icmp_seq=7 Destination Host Unreachable
From 192.168.2.101 icmp_seq=8 Destination Host Unreachable

--- 192.168.2.1 ping statistics ---
9 packets transmitted, 0 received, +5 errors, 100% packet loss, time 7999ms
, pipe 3

3.

Actual Results:
download stalls, network connectivity dies.

Expected Results:
download large .iso file or .rpm

Additional info:
I will add an attachment with steps and info from log files.
Comment 1 Clive Malcolm 2008-03-07 11:15:04 EST
Created attachment 297200 [details]
steps to reproduce the problem and info from log files

steps to reproduce the problem and info from log files
Comment 2 Clive Malcolm 2008-03-08 04:29:05 EST
just been doing some testing with kernel 2.6.24.3-22.fc8

does this help explain what is going on?

running a continuous ping.

64 bytes from www3.cwwtf.bbc.co.uk (212.58.253.72): icmp_seq=1216 ttl=244
time=17.9 ms
64 bytes from www3.cwwtf.bbc.co.uk (212.58.253.72): icmp_seq=1217 ttl=244
time=29.9 ms
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available
ping: sendmsg: No buffer space available

--- www.bbc.net.uk ping statistics ---
1253 packets transmitted, 1211 received, 3% packet loss, time 1271235ms
rtt min/avg/max/mdev = 16.540/23.184/744.826/42.486 ms
Comment 3 Clive Malcolm 2008-03-08 04:34:06 EST
Created attachment 297288 [details]
more logs

I was running a ping and got the following error, after that lost connectivity
again :(

more details in the attachment

64 [details] bytes from www3.cwwtf.bbc.co.uk (212.58.253.72): icmp_seq=1217 ttl=244
time=29.9 ms
ping: sendmsg: No buffer space available
SNIP
ping: sendmsg: No buffer space available

--- www.bbc.net.uk ping statistics ---
1253 packets transmitted, 1211 received, 3% packet loss, time 1271235ms
rtt min/avg/max/mdev = 16.540/23.184/744.826/42.486 ms
Comment 4 Ivo van Doorn 2008-03-09 17:54:53 EDT
This should be fixed in rt2x00 2.1.4 which was released a few minutes ago.
Comment 5 Clive Malcolm 2008-03-10 12:09:28 EDT
Hi

Let me know when a Fedora 8 kernel has rt2x00 2.1.4 and I will test.
Comment 6 Clive Malcolm 2008-03-13 05:53:22 EDT
I have been keeping an eye on
http://koji.fedoraproject.org/koji/packageinfo?packageID=8 and noticed
2.6.24.3-34.fc8 which has - rt2x00: Release rt2x00 2.1.4

Downloaded and installed the i386 rpm

Downloaded my test file 
ftp://ftp.virginmedia.com/mirrors/fedoraproject.org/8/Live/i686/Fedora-8-Live-i686.iso
and ran a ping at the same time.

My 730MB .iso file downloaded fine, my ping worked till I cancelled it.

My verdict, you guys are stars.

Thanks for all your help to squish this bug.
Comment 7 John W. Linville 2008-03-13 08:22:39 EDT
Thanks for the update!  All praise goes to Ivo...

Note You need to log in before you can comment on or make changes to this bug.